Bug 48343 - [PATCH] SUBTOTAL function
Summary: [PATCH] SUBTOTAL function
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: unspecified
Hardware: PC Mac OS X 10.4
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-06 23:50 UTC by Paul Tomlin
Modified: 2009-12-08 09:45 UTC (History)
0 users



Attachments
Implementation of SUBTOTAL + FunctionEval change (2.49 KB, application/octet-stream)
2009-12-06 23:50 UTC, Paul Tomlin
Details
testcase (1.72 KB, application/octet-stream)
2009-12-07 03:06 UTC, Paul Tomlin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Tomlin 2009-12-06 23:50:56 UTC
Created attachment 24673 [details]
Implementation of SUBTOTAL + FunctionEval change

A patch for a very simple implementation of the SUBTOTAL function.

This works for the unit tests I have for an internal project processing 3rd party Excel spreadsheets though at this point I have no POI specific tests.

The specific formulas curently tested are SUBTOTAL(9, <AREA>)

http://poi.apache.org/spreadsheet/eval-devguide.html seems to be out of date, I can find no GenericFormulaTestCase class.

Comments on the strategy used in the patch and current test writing outline would be appreciated.
Comment 1 Paul Tomlin 2009-12-07 03:06:51 UTC
Created attachment 24675 [details]
testcase

manual tests mimicking existing tests in the same package
Comment 2 Josh Micich 2009-12-08 09:45:22 UTC
Applied in svn r888490

Thanks for the patch.  I made slight tweaks and added some javadoc.  Please reply if the changes are NQR.

The unit test you supplied looked fine.  It shows well the coverage of supported functionality.